module Soar
  module Policy
    module AccessManager
      module Test
        class Orchestrator

          def initialize(orchestration_provider)
            @orchestration_provider = orchestration_provider
          end

          def grant_access
            @orchestration_provider.grant_access
          end

          def deny_access
            @orchestration_provider.deny_access
          end

          def no_policy
            @orchestration_provider.no_policy
          end

          def notification
            @orchestration_provider.notification
          end

          def authorized?
            @orchestration_provider.authorized?
          end

          def authorized
            @orchestration_provider.authorized
          end

        end
      end
    end
  end
end
  
